diff --git a/DOL-terms.rdf b/DOL-terms.rdf
index de42e38..c27a671 100644
--- a/DOL-terms.rdf
+++ b/DOL-terms.rdf
@@ -1735,17 +1735,42 @@ local envorinment, which is the signature of the &apos;given OMS&apos;.</skos:no
     <owl:Class rdf:about="&dol;LogicReduction">
         <rdfs:label xml:lang="en">logic reduction</rdfs:label>
         <rdfs:subClassOf rdf:resource="&dol;LogicMapping"/>
-        <skos:note xml:lang="en">mapping between logics forgetting parts of the structure, projection to a smaller logic, in contrast to reduction</skos:note>
+        <rdfs:subClassOf rdf:resource="&dol;Reduction"/>
+        <skos:note xml:lang="en">mapping between logics forgetting parts of the logical structure, projection to a smaller logic, in contrast to translation</skos:note>
         <skos:definition xml:lang="en">reduction of a source logic onto a (usually less expressive) target logic (mapping signatures, sentences and models) that simply forgets those parts of the logical structure not fitting the target logic</skos:definition>
     </owl:Class>
     
+    <owl:Class rdf:about="&dol;Reduction">
+        <rdfs:label xml:lang="en">reduction</rdfs:label>
+        <rdfs:subClassOf rdf:resource="&dol;Mapping"/>
+        <skos:note xml:lang="en">mapping forgetting parts of the source, projection to a smaller target, in contrast to translation</skos:note>
+        <skos:definition xml:lang="en">reduction of a source onto a (usually less expressive) target that simply forgets those parts of the source not fitting the target</skos:definition>
+    </owl:Class>
+    
+    <owl:Class rdf:about="&dol;OMSLanguageReduction">
+        <rdfs:label xml:lang="en">OMS language reduction</rdfs:label>
+        <rdfs:subClassOf rdf:resource="&dol;LanguageMapping"/>
+        <rdfs:subClassOf rdf:resource="&dol;Reduction"/>
+        <skos:note xml:lang="en">mapping between OMS languages forgetting parts of the source, projection to a smaller language, in contrast to translation</skos:note>
+        <skos:definition xml:lang="en">reduction of a source language onto a (usually less expressive) target language that simply forgets those parts of the source language not fitting the target language</skos:definition>
+        <skos:note xml:lang="en"> An OMS language reduction shall satisfy the property that the result of a reduction is a well-formed text in the target language. </skos:note>
+    </owl:Class>
+    
     <owl:Class rdf:about="&dol;LogicTranslation">
         <rdfs:label xml:lang="en">logic translation</rdfs:label>
         <rdfs:subClassOf rdf:resource="&dol;LogicMapping"/>
+        <rdfs:subClassOf rdf:resource="&dol;Translation"/>
         <skos:note xml:lang="en">mapping between logics representing all structure, in contrast to reduction</skos:note>
         <skos:definition xml:lang="en">translation of a source logic into a target logic (mapping signatures, sentences and models) that keeps or encodes the logical content of OMS</skos:definition>
     </owl:Class>
     
+    <owl:Class rdf:about="&dol;Translation">
+        <rdfs:label xml:lang="en">translation</rdfs:label>
+        <rdfs:subClassOf rdf:resource="&dol;Mapping"/>
+        <skos:note xml:lang="en">mapping representing the source completely, in contrast to reduction</skos:note>
+        <skos:definition xml:lang="en">translation of a source into a target that keeps or encodes the content of the source</skos:definition>
+    </owl:Class>
+    
     <owl:Class rdf:about="&dol;LogicalLanguageAspect">
         <rdfs:label xml:lang="en">logical language aspect</rdfs:label>
         <rdfs:subClassOf rdf:resource="&dol;LanguageAspect"/>
@@ -2099,7 +2124,7 @@ of logic (model theory).</skos:note>
     <owl:Class rdf:about="&dol;OMSLanguageTranslation">
         <rdfs:label xml:lang="en">OMS language translation</rdfs:label>
         <rdfs:subClassOf rdf:resource="&dol;LanguageMapping"/>
-        <rdfs:subClassOf rdf:resource="&dol;Mapping"/>
+        <rdfs:subClassOf rdf:resource="&dol;Translation"/>
         <rdfs:subClassOf>
             <owl:Restriction>
                 <owl:onProperty rdf:resource="&dol;mapsFrom"/>
@@ -2132,7 +2157,7 @@ of logic (model theory).</skos:note>
         </rdfs:subClassOf>
         <dol:propagatesToAdjoint rdf:datatype="&xsd;boolean">true</dol:propagatesToAdjoint>
         <skos:note xml:lang="en"> An OMS language translation shall satisfy the property that the result of a translation is a well-formed text in the target language. </skos:note>
-        <skos:definition xml:lang="en">a mapping (translation or reduction) between two OMS languages</skos:definition>
+        <skos:definition xml:lang="en">a mapping (translation) between two OMS languages that keeps or encodes the content of the source</skos:definition>
         <skos:definition xml:lang="en">mapping from constructs in the source OMS language to their equivalents in the target OMS language</skos:definition>
     </owl:Class>
     