diff -uN a/dds-xml_application_definitions.xsd b/dds-xml_application_definitions.xsd
--- a/dds-xml_application_definitions.xsd	2017-02-15 23:13:46.000000000 +0100
+++ b/dds-xml_application_definitions.xsd	2018-05-12 12:04:48.207289612 +0200
@@ -1,8 +1,8 @@
 <?xml version="1.0" encoding="UTF-8"?>
 
 <xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
-           xmlns="http://www.omg.org/dds"
-           targetNamespace="http://www.omg.org/dds"
+           xmlns="http://www.omg.org/spec/DDS-XML"
+           targetNamespace="http://www.omg.org/spec/DDS-XML"
            elementFormDefault="qualified"
            attributeFormDefault="unqualified">
 
diff -uN a/dds-xml_applications_example.xml b/dds-xml_applications_example.xml
--- a/dds-xml_applications_example.xml	2017-02-15 23:12:46.000000000 +0100
+++ b/dds-xml_applications_example.xml	2018-05-12 12:04:48.206289615 +0200
@@ -1,8 +1,8 @@
 <?xml version="1.0" encoding="UTF-8"?>
 
 <application_library xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-                     xmlns="http://www.omg.org/dds"
-                     xsi:schemaLocation="http://www.omg.org/dds dds-xml_application_definitions.xsd"
+                     xmlns="http://www.omg.org/spec/DDS-XML"
+                     xsi:schemaLocation="http://www.omg.org/spec/DDS-XML dds-xml_application_definitions.xsd"
                      name="MyApplicationLibrary">
 
     <application name="AnApplication">
diff -uN a/dds-xml_domain_definitions.xsd b/dds-xml_domain_definitions.xsd
--- a/dds-xml_domain_definitions.xsd	2017-02-15 22:15:38.000000000 +0100
+++ b/dds-xml_domain_definitions.xsd	2018-05-12 12:04:48.207289612 +0200
@@ -1,8 +1,8 @@
 <?xml version="1.0" encoding="UTF-8"?>
 
 <xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
-           xmlns="http://www.omg.org/dds"
-           targetNamespace="http://www.omg.org/dds"
+           xmlns="http://www.omg.org/spec/DDS-XML"
+           targetNamespace="http://www.omg.org/spec/DDS-XML"
            elementFormDefault="qualified"
            attributeFormDefault="unqualified">
 
diff -uN a/dds-xml_domainparticipant_definitions.xsd b/dds-xml_domainparticipant_definitions.xsd
--- a/dds-xml_domainparticipant_definitions.xsd	2017-02-15 23:08:02.000000000 +0100
+++ b/dds-xml_domainparticipant_definitions.xsd	2018-05-12 12:04:48.207289612 +0200
@@ -1,8 +1,8 @@
 <?xml version="1.0" encoding="UTF-8"?>
 
 <xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
-           xmlns="http://www.omg.org/dds"
-           targetNamespace="http://www.omg.org/dds"
+           xmlns="http://www.omg.org/spec/DDS-XML"
+           targetNamespace="http://www.omg.org/spec/DDS-XML"
            elementFormDefault="qualified"
            attributeFormDefault="unqualified">
 
diff -uN a/dds-xml_domainparticipants_example.xml b/dds-xml_domainparticipants_example.xml
--- a/dds-xml_domainparticipants_example.xml	2017-02-15 23:09:48.000000000 +0100
+++ b/dds-xml_domainparticipants_example.xml	2018-05-12 12:04:48.207289612 +0200
@@ -1,8 +1,8 @@
 <?xml version="1.0" encoding="UTF-8"?>
 
 <domain_participant_library xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-                            xmlns="http://www.omg.org/dds"
-                            xsi:schemaLocation="http://www.omg.org/dds dds-xml_domainparticipant_definitions.xsd"
+                            xmlns="http://www.omg.org/spec/DDS-XML"
+                            xsi:schemaLocation="http://www.omg.org/spec/DDS-XML dds-xml_domainparticipant_definitions.xsd"
                             name="MyDomainLibrary">
 
     <domain_participant name="HelloParticipant" domain_id="32">
diff -uN a/dds-xml_domains_example.xml b/dds-xml_domains_example.xml
--- a/dds-xml_domains_example.xml	2017-02-15 22:15:24.000000000 +0100
+++ b/dds-xml_domains_example.xml	2018-05-12 12:04:48.207289612 +0200
@@ -1,8 +1,8 @@
 <?xml version="1.0" encoding="UTF-8"?>
 
 <domain_library xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-                xmlns="http://www.omg.org/dds"
-                xsi:schemaLocation="http://www.omg.org/dds dds-xml_domain_definitions.xsd"
+                xmlns="http://www.omg.org/spec/DDS-XML"
+                xsi:schemaLocation="http://www.omg.org/spec/DDS-XML dds-xml_domain_definitions.xsd"
                 name="MyDomainLibrary">
 
     <domain name="ShapesDomain" domain_id="32">
diff -uN a/dds-xml_qos_definitions.xsd b/dds-xml_qos_definitions.xsd
--- a/dds-xml_qos_definitions.xsd	2017-02-15 22:12:38.000000000 +0100
+++ b/dds-xml_qos_definitions.xsd	2018-05-12 12:04:48.208289609 +0200
@@ -1,8 +1,8 @@
 <?xml version="1.0" encoding="UTF-8"?>
 
 <xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
-           xmlns="http://www.omg.org/dds"
-           targetNamespace="http://www.omg.org/dds"
+           xmlns="http://www.omg.org/spec/DDS-XML"
+           targetNamespace="http://www.omg.org/spec/DDS-XML"
            elementFormDefault="qualified"
            attributeFormDefault="unqualified">
 
diff -uN a/dds-xml_qos_example.xml b/dds-xml_qos_example.xml
--- a/dds-xml_qos_example.xml	2017-02-15 22:12:26.000000000 +0100
+++ b/dds-xml_qos_example.xml	2018-05-12 12:04:48.207289612 +0200
@@ -1,8 +1,8 @@
 <?xml version="1.0" encoding="UTF-8"?>
 
 <qos_library xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-    xmlns="http://www.omg.org/dds"
-    xsi:schemaLocation="http://www.omg.org/dds dds-xml_qos_definitions.xsd"
+    xmlns="http://www.omg.org/spec/DDS-XML"
+    xsi:schemaLocation="http://www.omg.org/spec/DDS-XML dds-xml_qos_definitions.xsd"
     name="DDSDefaultQoSLibrary">
 
     <qos_profile name="DDSDefaultQosProfile">
diff -uN a/dds-xml_system_example.xml b/dds-xml_system_example.xml
--- a/dds-xml_system_example.xml	2017-02-15 23:15:24.000000000 +0100
+++ b/dds-xml_system_example.xml	2018-05-12 12:04:48.207289612 +0200
@@ -1,8 +1,8 @@
 <?xml version="1.0" encoding="UTF-8"?>
 
 <dds xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-     xmlns="http://www.omg.org/dds"
-     xsi:schemaLocation="http://www.omg.org/dds dds-xml_system_example.xsd">
+     xmlns="http://www.omg.org/spec/DDS-XML"
+     xsi:schemaLocation="http://www.omg.org/spec/DDS-XML dds-xml_system_example.xsd">
     
     <types>
         <const name="MAX_COLOR_LEN" type="int32" value="128" />
diff -uN a/dds-xml_system_example.xsd b/dds-xml_system_example.xsd
--- a/dds-xml_system_example.xsd	2017-02-15 23:15:00.000000000 +0100
+++ b/dds-xml_system_example.xsd	2018-05-12 12:04:48.208289609 +0200
@@ -1,8 +1,8 @@
 <?xml version="1.0" encoding="UTF-8"?>
 
 <xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
-           xmlns="http://www.omg.org/dds"
-           targetNamespace="http://www.omg.org/dds"
+           xmlns="http://www.omg.org/spec/DDS-XML"
+           targetNamespace="http://www.omg.org/spec/DDS-XML"
            elementFormDefault="qualified"
            attributeFormDefault="unqualified">
 
diff -uN a/dds-xml_type_definitions.xsd b/dds-xml_type_definitions.xsd
--- a/dds-xml_type_definitions.xsd	2017-02-15 22:12:00.000000000 +0100
+++ b/dds-xml_type_definitions.xsd	2018-05-12 12:04:48.208289609 +0200
@@ -1,8 +1,8 @@
 <?xml version="1.0" encoding="UTF-8"?>
 
 <xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
-           xmlns="http://www.omg.org/dds"
-           targetNamespace="http://www.omg.org/dds"
+           xmlns="http://www.omg.org/spec/DDS-XML"
+           targetNamespace="http://www.omg.org/spec/DDS-XML"
            elementFormDefault="qualified"
            attributeFormDefault="unqualified">
 
diff -uN a/dds-xml_types_example.xml b/dds-xml_types_example.xml
--- a/dds-xml_types_example.xml	2017-02-15 22:11:38.000000000 +0100
+++ b/dds-xml_types_example.xml	2018-05-12 12:04:48.207289612 +0200
@@ -1,8 +1,8 @@
 <?xml version="1.0" encoding="UTF-8"?>
 
 <types xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-       xmlns="http://www.omg.org/dds"
-       xsi:schemaLocation="http://www.omg.org/dds dds-xml_type_definitions.xsd">
+       xmlns="http://www.omg.org/spec/DDS-XML"
+       xsi:schemaLocation="http://www.omg.org/spec/DDS-XML dds-xml_type_definitions.xsd">
 
     <!-- Aliases -->
     <typedef name="MYBOOL" type="boolean" />