diff -uN a/dds-xml_application_definitions_nonamespace.xsd b/dds-xml_application_definitions_nonamespace.xsd
--- a/dds-xml_application_definitions_nonamespace.xsd	2018-05-13 21:59:48.176304116 +0200
+++ b/dds-xml_application_definitions_nonamespace.xsd	2018-05-13 22:00:48.636360221 +0200
@@ -12,7 +12,7 @@
     <!-- Application and Application Library Definition -->
     <!-- ================================================================== -->
 
-    <xs:include schemaLocation="dds-xml_domainparticipant_definitions_nonamespace.xsd" />
+    <xs:include schemaLocation="http://www.omg.org/spec/DDS-XML/20180501/dds-xml_domainparticipant_definitions_nonamespace.xsd" />
 
     <xs:complexType name="application">
         <xs:choice maxOccurs="unbounded">
diff -uN a/dds-xml_application_definitions.xsd b/dds-xml_application_definitions.xsd
--- a/dds-xml_application_definitions.xsd	2018-05-13 22:00:05.534320224 +0200
+++ b/dds-xml_application_definitions.xsd	2018-05-13 22:00:48.635360220 +0200
@@ -7,7 +7,7 @@
            attributeFormDefault="unqualified">
 
     <!-- Include chameleon schema -->
-    <xs:include schemaLocation="dds-xml_application_definitions_nonamespace.xsd" />
+    <xs:include schemaLocation="http://www.omg.org/spec/DDS-XML/20180501/dds-xml_application_definitions_nonamespace.xsd" />
 
     <!-- Define top-level element -->
     <xs:element name="application_library" type="applicationLibrary" />
diff -uN a/dds-xml_applications_example.xml b/dds-xml_applications_example.xml
--- a/dds-xml_applications_example.xml	2018-05-13 22:00:05.535320225 +0200
+++ b/dds-xml_applications_example.xml	2018-05-13 22:00:48.635360220 +0200
@@ -2,7 +2,7 @@
 
 <application_library xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                      xmlns="http://www.omg.org/spec/DDS-XML"
-                     xsi:schemaLocation="http://www.omg.org/spec/DDS-XML dds-xml_application_definitions.xsd"
+                     xsi:schemaLocation="http://www.omg.org/spec/DDS-XML http://www.omg.org/spec/DDS-XML/20180501/dds-xml_application_definitions.xsd"
                      name="MyApplicationLibrary">
 
     <application name="AnApplication">
diff -uN a/dds-xml_dds_system_definitions_nonamespace.xsd b/dds-xml_dds_system_definitions_nonamespace.xsd
--- a/dds-xml_dds_system_definitions_nonamespace.xsd	2018-05-13 22:00:09.533323935 +0200
+++ b/dds-xml_dds_system_definitions_nonamespace.xsd	2018-05-13 22:00:48.635360220 +0200
@@ -6,7 +6,7 @@
 
     <!-- Include all the necessary building blocks -->
     
-    <xs:include schemaLocation="dds-xml_application_definitions_nonamespace.xsd" />
+    <xs:include schemaLocation="http://www.omg.org/spec/DDS-XML/20180501/dds-xml_application_definitions_nonamespace.xsd" />
     
     <!-- Define DDS top-level element -->
     <xs:complexType name="ddsSystem">
diff -uN a/dds-xml_dds_system_definitions.xsd b/dds-xml_dds_system_definitions.xsd
--- a/dds-xml_dds_system_definitions.xsd	2018-05-13 22:00:09.533323935 +0200
+++ b/dds-xml_dds_system_definitions.xsd	2018-05-13 22:00:48.636360221 +0200
@@ -7,7 +7,7 @@
            attributeFormDefault="unqualified">
 
     <!-- Include chameleon schema -->
-    <xs:include schemaLocation="dds-xml_dds_system_definitions_nonamespace.xsd" />
+    <xs:include schemaLocation="http://www.omg.org/spec/DDS-XML/20180501/dds-xml_dds_system_definitions_nonamespace.xsd" />
     
     <!-- Define DDS top-level element -->
     <xs:element name="dds" type="ddsSystem" />
diff -uN a/dds-xml_dds_system_example.xml b/dds-xml_dds_system_example.xml
--- a/dds-xml_dds_system_example.xml	2018-05-13 22:00:09.534323936 +0200
+++ b/dds-xml_dds_system_example.xml	2018-05-13 22:00:48.636360221 +0200
@@ -2,7 +2,7 @@
 
 <dds xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      xmlns="http://www.omg.org/spec/DDS-XML"
-     xsi:schemaLocation="http://www.omg.org/spec/DDS-XML dds-xml_dds_system_definitions.xsd">
+     xsi:schemaLocation="http://www.omg.org/spec/DDS-XML http://www.omg.org/spec/DDS-XML/20180501/dds-xml_dds_system_definitions.xsd">
     
     <types>
         <const name="MAX_COLOR_LEN" type="int32" value="128" />
diff -uN a/dds-xml_domain_definitions_nonamespace.xsd b/dds-xml_domain_definitions_nonamespace.xsd
--- a/dds-xml_domain_definitions_nonamespace.xsd	2018-05-13 22:00:01.628316599 +0200
+++ b/dds-xml_domain_definitions_nonamespace.xsd	2018-05-13 22:00:48.636360221 +0200
@@ -12,8 +12,8 @@
     <!-- Inclusion of other Building Blocks -->
     <!-- ================================================================== -->
 
-    <xs:include schemaLocation="dds-xml_type_definitions_nonamespace.xsd" />
-    <xs:include schemaLocation="dds-xml_qos_definitions_nonamespace.xsd" />
+    <xs:include schemaLocation="http://www.omg.org/spec/DDS-XML/20180501/dds-xml_type_definitions_nonamespace.xsd" />
+    <xs:include schemaLocation="http://www.omg.org/spec/DDS-XML/20180501/dds-xml_qos_definitions_nonamespace.xsd" />
 
 
     <!-- ================================================================== -->
diff -uN a/dds-xml_domain_definitions.xsd b/dds-xml_domain_definitions.xsd
--- a/dds-xml_domain_definitions.xsd	2018-05-13 22:00:05.536320226 +0200
+++ b/dds-xml_domain_definitions.xsd	2018-05-13 22:00:48.636360221 +0200
@@ -7,7 +7,7 @@
            attributeFormDefault="unqualified">
 
     <!-- Include Chameleon Schema -->
-    <xs:include schemaLocation="dds-xml_domain_definitions_nonamespace.xsd" />
+    <xs:include schemaLocation="http://www.omg.org/spec/DDS-XML/20180501/dds-xml_domain_definitions_nonamespace.xsd" />
 
     <!-- Define top-level element -->
     <xs:element name="domain_library" type="domainLibrary" />
diff -uN a/dds-xml_domainparticipant_definitions_nonamespace.xsd b/dds-xml_domainparticipant_definitions_nonamespace.xsd
--- a/dds-xml_domainparticipant_definitions_nonamespace.xsd	2018-05-13 21:59:48.177304117 +0200
+++ b/dds-xml_domainparticipant_definitions_nonamespace.xsd	2018-05-13 22:00:48.635360220 +0200
@@ -11,7 +11,7 @@
     <!-- Inclusion of other Building Blocks -->
     <!-- ================================================================== -->
 
-    <xs:include schemaLocation="dds-xml_domain_definitions_nonamespace.xsd" />
+    <xs:include schemaLocation="http://www.omg.org/spec/DDS-XML/20180501/dds-xml_domain_definitions_nonamespace.xsd" />
 
     <!-- ================================================================== -->
     <!-- Filter and Condition Types -->
diff -uN a/dds-xml_domainparticipant_definitions.xsd b/dds-xml_domainparticipant_definitions.xsd
--- a/dds-xml_domainparticipant_definitions.xsd	2018-05-13 22:00:05.536320226 +0200
+++ b/dds-xml_domainparticipant_definitions.xsd	2018-05-13 22:00:48.635360220 +0200
@@ -7,7 +7,7 @@
            attributeFormDefault="unqualified">
 
     <!-- Include chameleon schema -->
-    <xs:include schemaLocation="dds-xml_domainparticipant_definitions_nonamespace.xsd" />
+    <xs:include schemaLocation="http://www.omg.org/spec/DDS-XML/20180501/dds-xml_domainparticipant_definitions_nonamespace.xsd" />
 
     <!-- Define top-level element -->
     <xs:element name="domain_participant_library"
diff -uN a/dds-xml_domainparticipants_example.xml b/dds-xml_domainparticipants_example.xml
--- a/dds-xml_domainparticipants_example.xml	2018-05-13 22:00:05.537320227 +0200
+++ b/dds-xml_domainparticipants_example.xml	2018-05-13 22:00:48.635360220 +0200
@@ -2,7 +2,7 @@
 
 <domain_participant_library xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                             xmlns="http://www.omg.org/spec/DDS-XML"
-                            xsi:schemaLocation="http://www.omg.org/spec/DDS-XML dds-xml_domainparticipant_definitions.xsd"
+                            xsi:schemaLocation="http://www.omg.org/spec/DDS-XML http://www.omg.org/spec/DDS-XML/20180501/dds-xml_domainparticipant_definitions.xsd"
                             name="MyDomainLibrary">
 
     <domain_participant name="HelloParticipant" domain_id="32">
diff -uN a/dds-xml_domains_example.xml b/dds-xml_domains_example.xml
--- a/dds-xml_domains_example.xml	2018-05-13 22:00:05.537320227 +0200
+++ b/dds-xml_domains_example.xml	2018-05-13 22:00:48.635360220 +0200
@@ -2,7 +2,7 @@
 
 <domain_library xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                 xmlns="http://www.omg.org/spec/DDS-XML"
-                xsi:schemaLocation="http://www.omg.org/spec/DDS-XML dds-xml_domain_definitions.xsd"
+                xsi:schemaLocation="http://www.omg.org/spec/DDS-XML http://www.omg.org/spec/DDS-XML/20180501/dds-xml_domain_definitions.xsd"
                 name="MyDomainLibrary">
 
     <domain name="ShapesDomain" domain_id="32">
diff -uN a/dds-xml_qos_definitions.xsd b/dds-xml_qos_definitions.xsd
--- a/dds-xml_qos_definitions.xsd	2018-05-13 22:00:05.537320227 +0200
+++ b/dds-xml_qos_definitions.xsd	2018-05-13 22:00:48.635360220 +0200
@@ -7,7 +7,7 @@
            attributeFormDefault="unqualified">
 
     <!-- Include Chameleon Schema -->
-    <xs:include schemaLocation="dds-xml_qos_definitions_nonamespace.xsd" />
+    <xs:include schemaLocation="http://www.omg.org/spec/DDS-XML/20180501/dds-xml_qos_definitions_nonamespace.xsd" />
 
     <!-- Define top-level element -->
     <xs:element name="qos_library" type="qosLibrary" />
diff -uN a/dds-xml_qos_example.xml b/dds-xml_qos_example.xml
--- a/dds-xml_qos_example.xml	2018-05-13 22:00:05.537320227 +0200
+++ b/dds-xml_qos_example.xml	2018-05-13 22:00:48.635360220 +0200
@@ -2,7 +2,7 @@
 
 <qos_library xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
     xmlns="http://www.omg.org/spec/DDS-XML"
-    xsi:schemaLocation="http://www.omg.org/spec/DDS-XML dds-xml_qos_definitions.xsd"
+    xsi:schemaLocation="http://www.omg.org/spec/DDS-XML http://www.omg.org/spec/DDS-XML/20180501/dds-xml_qos_definitions.xsd"
     name="DDSDefaultQoSLibrary">
 
     <qos_profile name="DDSDefaultQosProfile">
diff -uN a/dds-xml_type_definitions.xsd b/dds-xml_type_definitions.xsd
--- a/dds-xml_type_definitions.xsd	2018-05-13 22:00:05.538320228 +0200
+++ b/dds-xml_type_definitions.xsd	2018-05-13 22:00:48.636360221 +0200
@@ -7,7 +7,7 @@
            attributeFormDefault="unqualified">
 
     <!-- Include Chameleon Schema -->
-    <xs:include schemaLocation="dds-xml_type_definitions_nonamespace.xsd" />
+    <xs:include schemaLocation="http://www.omg.org/spec/DDS-XML/20180501/dds-xml_type_definitions_nonamespace.xsd" />
 
     <!-- Define top-level element -->
     <xs:element name="types" type="typeLibrary" />
diff -uN a/dds-xml_types_example.xml b/dds-xml_types_example.xml
--- a/dds-xml_types_example.xml	2018-05-13 22:00:05.538320228 +0200
+++ b/dds-xml_types_example.xml	2018-05-13 22:00:48.636360221 +0200
@@ -2,7 +2,7 @@
 
 <types xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xmlns="http://www.omg.org/spec/DDS-XML"
-       xsi:schemaLocation="http://www.omg.org/spec/DDS-XML dds-xml_type_definitions.xsd">
+       xsi:schemaLocation="http://www.omg.org/spec/DDS-XML http://www.omg.org/spec/DDS-XML/20180501/dds-xml_type_definitions.xsd">
 
     <!-- Aliases -->
     <typedef name="MYBOOL" type="boolean" />