From dc596f78436c3e6b97582474d923d16252bfd0b0 Mon Sep 17 00:00:00 2001
From: Pete Rivett <pete.rivett@adaptive.com>
Date: Tue, 5 Mar 2019 13:01:51 -0800
Subject: [PATCH] Issue LCC11-29 Regenerated region files with sameAs for all
 countries

---
 Countries/Regions/ISO3166-2-SubdivisionCodes-CN.rdf | 9 +++------
 Countries/Regions/ISO3166-2-SubdivisionCodes-FR.rdf | 4 ++--
 Countries/Regions/ISO3166-2-SubdivisionCodes-NO.rdf | 6 ++----
 3 files changed, 7 insertions(+), 12 deletions(-)

diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-CN.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-CN.rdf
index c85cccc..c597aa0 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-CN.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-CN.rdf
@@ -1027,7 +1027,7 @@
       <rdfs:label>Taiwan Sheng (see also separate country code entry under TW)</rdfs:label>
       <skos:definition>The province of Taiwan Sheng (see also separate country code entry under TW) in the country of China</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;China"/>
-      <lcc-cr:hasLocalShortName xml:lang="zh">Taiwan Sheng (see also separate country code entry under TW)</lcc-cr:hasLocalShortName>
+      <owl:sameAs rdf:resource="&lcc-3166-1;Taiwan"/>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-cn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cn;"/>
    </owl:NamedIndividual>
@@ -1057,8 +1057,7 @@
       <rdfs:label>Hong Kong SAR (see also separate country code entry under HK)</rdfs:label>
       <skos:definition>The special administrative region of Hong Kong SAR (see also separate country code entry under HK) in the country of China</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;China"/>
-      <lcc-cr:hasEnglishShortName xml:lang="en">Hong Kong SAR (see also separate country code entry under HK)</lcc-cr:hasEnglishShortName>
-      <lcc-cr:hasLocalShortName xml:lang="zh">Xianggang Tebiexingzhengqu (see also separate country code entry under HK)</lcc-cr:hasLocalShortName>
+      <owl:sameAs rdf:resource="&lcc-3166-1;HongKong"/>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-cn;SpecialAdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cn;"/>
    </owl:NamedIndividual>
@@ -1088,9 +1087,7 @@
       <rdfs:label>Macao SAR (see also separate country code entry under MO)</rdfs:label>
       <skos:definition>The special administrative region of Macao SAR (see also separate country code entry under MO) in the country of China</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;China"/>
-      <lcc-cr:hasEnglishShortName xml:lang="en">Macao SAR (see also separate country code entry under MO)</lcc-cr:hasEnglishShortName>
-      <lcc-cr:hasLocalShortName xml:lang="pt">Macau SAR (see also separate country code entry under MO)</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName xml:lang="zh">Aomen Tebiexingzhengqu (see also separate country code entry under MO)</lcc-cr:hasLocalShortName>
+      <owl:sameAs rdf:resource="&lcc-3166-1;Macao"/>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-cn;SpecialAdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cn;"/>
    </owl:NamedIndividual>
diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-FR.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-FR.rdf
index 5ee4373..9303092 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-FR.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-FR.rdf
@@ -3568,7 +3568,7 @@
       <rdfs:label>Guyane (française) (see also separate country code entry under GF)</rdfs:label>
       <skos:definition>The overseas territorial collectivity of Guyane (française) (see also separate country code entry under GF) in the country of France</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;France"/>
-      <lcc-cr:hasFrenchShortName xml:lang="fr">Guyane (française) (see also separate country code entry under GF)</lcc-cr:hasFrenchShortName>
+      <owl:sameAs rdf:resource="&lcc-3166-1;FrenchGuiana"/>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-fr;OverseasTerritorialCollectivity"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-fr;"/>
    </owl:NamedIndividual>
@@ -3598,7 +3598,7 @@
       <rdfs:label>Martinique (see also separate country code entry under MQ)</rdfs:label>
       <skos:definition>The overseas territorial collectivity of Martinique (see also separate country code entry under MQ) in the country of France</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;France"/>
-      <lcc-cr:hasFrenchShortName xml:lang="fr">Martinique (see also separate country code entry under MQ)</lcc-cr:hasFrenchShortName>
+      <owl:sameAs rdf:resource="&lcc-3166-1;Martinique"/>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-fr;OverseasTerritorialCollectivity"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-fr;"/>
    </owl:NamedIndividual>
diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-NO.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-NO.rdf
index 819f053..b5744f7 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-NO.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-NO.rdf
@@ -237,8 +237,7 @@
       <rdfs:label>Jan Mayen (Arctic Region) (see also separate country code entry under SJ)</rdfs:label>
       <skos:definition>The arctic region of Jan Mayen (Arctic Region) (see also separate country code entry under SJ) in the country of Norway</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Norway"/>
-      <lcc-cr:hasLocalShortName xml:lang="nb">Jan Mayen (Arctic Region) (see also separate country code entry under SJ)</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName xml:lang="nn">Jan Mayen (Arctic Region) (see also separate country code entry under SJ)</lcc-cr:hasLocalShortName>
+      <owl:sameAs rdf:resource="&lcc-3166-1;SvalbardAndJanMayen"/>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-no;ArcticRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-no;"/>
    </owl:NamedIndividual>
@@ -611,8 +610,7 @@
       <rdfs:label>Svalbard (Arctic Region) (see also separate country code entry under SJ)</rdfs:label>
       <skos:definition>The arctic region of Svalbard (Arctic Region) (see also separate country code entry under SJ) in the country of Norway</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Norway"/>
-      <lcc-cr:hasLocalShortName xml:lang="nn">Svalbard (Arctic Region) (see also separate country code entry under SJ)</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName xml:lang="nb">Svalbard (Arctic Region) (see also separate country code entry under SJ)</lcc-cr:hasLocalShortName>
+      <owl:sameAs rdf:resource="&lcc-3166-1;SvalbardAndJanMayen"/>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-no;ArcticRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-no;"/>
    </owl:NamedIndividual>
-- 
2.18.0.windows.1